Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class PropertyParser

    java.lang.Object
      org.apache.fop.fo.expr.PropertyTokenizer
          org.apache.fop.fo.expr.PropertyParser

public final class PropertyParser
extends org.apache.fop.fo.expr.PropertyTokenizer

Class to parse XSL-FO property expressions. This class is heavily based on the epxression parser in James Clark's XT, an XSLT processor.

Field Summary
`protected int` | `currentToken`
`protected java.lang.String` | `currentTokenValue`
`protected int` | `currentUnitLength`

Method Summary
`static Property` | `parse(java.lang.String expr, PropertyInfo propInfo)` Public entrypoint to the Property expression parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentToken

    protected int currentToken

### currentTokenValue

    protected java.lang.String currentTokenValue

### currentUnitLength

    protected int currentUnitLength

Method Detail

### parse

    public static Property parse(java.lang.String expr,
                                 PropertyInfo propInfo)
                          throws PropertyException

  Public entrypoint to the Property expression parser.

  Parameters:
    `expr` - The specified value (attribute on the xml element).
    `propInfo` - A PropertyInfo object representing the context in which the property expression is to be evaluated.
  Returns:
    A Property object holding the parsed result.
  Throws:
    `PropertyException` - If the "expr" cannot be parsed as a Property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.